
package odbdatebugtestcase.model;

import java.util.Date;
import java.util.UUID;
import javax.jdo.annotations.Index;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Temporal;

@Entity
public class Person {

    private static final long serialVersionUID = 1L;
    
    // -------------------- persistent fields ----------------------------------
    
    @Id
    private String id = UUID.randomUUID().toString();
    
    @Temporal(javax.persistence.TemporalType.TIMESTAMP) @Index
    private Date createDate = new Date();
    
    @Temporal(javax.persistence.TemporalType.TIMESTAMP)
    private Date modifyDate = new Date();
    
    private String name;
    
    @Index
    @Temporal(javax.persistence.TemporalType.DATE)
    private Date birthday;
    
    // -------------------- accessors ------------------------------------------

    public String getId() {
        return id;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public Date getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(Date modifyDate) {
        this.modifyDate = modifyDate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    // -------------------- override -------------------------------------------
    @Override
    public String toString() {
        return "Person : { id:" + id + ", birthday:" + birthday.toString() + " }";
    }
    
}
